Compare commits

...

10 Commits

Author SHA1 Message Date
Taiki Endo
333ea3e9a4 Release 2.47.12 2025-01-13 13:06:32 +09:00
Taiki Endo
172419740d Update wasm-bindgen@latest to 0.2.100 2025-01-13 09:37:37 +09:00
Taiki Endo
6d0e68ca2c Update rclone@latest to 1.69.0 2025-01-13 03:16:22 +09:00
Taiki Endo
b4c13e81de Update cargo-binstall@latest to 1.10.20 2025-01-11 18:13:11 +09:00
Taiki Endo
62b3405f01 ci: Tweak step name 2025-01-11 13:17:28 +09:00
Taiki Endo
c87777c316 Release 2.47.11 2025-01-11 12:53:30 +09:00
Taiki Endo
1fde53ce9d Update editorconfig-checker@latest to 3.1.2 2025-01-11 09:34:29 +09:00
Taiki Endo
0779861fb4 Release 2.47.10 2025-01-10 20:50:52 +09:00
Taiki Endo
975a95d384 Update cargo-udeps@latest to 0.1.54 2025-01-10 13:20:47 +09:00
Taiki Endo
da05975632 tools: Update scripts and markdownlint config 2025-01-10 01:41:02 +09:00
12 changed files with 215 additions and 60 deletions

View File

@@ -255,7 +255,7 @@ jobs:
GITHUB_TOKEN: ${{ secrets.CREATE_PR_TOKEN }}
PR_NUMBER: ${{ steps.create-pull-request.outputs.pull-request-number }}
if: github.repository_owner == 'taiki-e' && (github.event_name == 'schedule' || github.event_name == 'push' && github.ref == 'refs/heads/main') && steps.diff.outputs.success == 'false' && steps.create-pull-request.outputs.pull-request-operation == 'created'
- name: Auto approve for auto-generated PR
- name: Approve auto-generated PR for auto-merge
run: gh pr review --approve "${PR_NUMBER:?}"
env:
GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}

View File

@@ -1,9 +1,10 @@
# https://github.com/DavidAnson/markdownlint#rules--aliases
# https://github.com/DavidAnson/markdownlint/blob/HEAD/doc/Rules.md
config:
line-length: false
no-duplicate-heading: false
no-inline-html: false
no-emphasis-as-heading: false
line-length: false # MD013
no-duplicate-heading: false # MD024
no-blanks-blockquote: false # MD028
no-inline-html: false # MD033
no-emphasis-as-heading: false # MD036
# https://github.com/DavidAnson/markdownlint-cli2#markdownlint-cli2jsonc
noBanner: true

View File

@@ -10,6 +10,22 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.47.12] - 2025-01-13
- Update `wasm-bindgen@latest` to 0.2.100.
- Update `rclone@latest` to 1.69.0.
- Update `cargo-binstall@latest` to 1.10.20.
## [2.47.11] - 2025-01-11
- Update `editorconfig-checker@latest` to 3.1.2.
## [2.47.10] - 2025-01-10
- Update `cargo-udeps@latest` to 0.1.54.
## [2.47.9] - 2025-01-09
- Update `editorconfig-checker@latest` to 3.1.1.
@@ -3306,7 +3322,10 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.47.9...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.47.12...HEAD
[2.47.12]: https://github.com/taiki-e/install-action/compare/v2.47.11...v2.47.12
[2.47.11]: https://github.com/taiki-e/install-action/compare/v2.47.10...v2.47.11
[2.47.10]: https://github.com/taiki-e/install-action/compare/v2.47.9...v2.47.10
[2.47.9]: https://github.com/taiki-e/install-action/compare/v2.47.8...v2.47.9
[2.47.8]: https://github.com/taiki-e/install-action/compare/v2.47.7...v2.47.8
[2.47.7]: https://github.com/taiki-e/install-action/compare/v2.47.6...v2.47.7

View File

@@ -22,32 +22,32 @@
},
"license_markdown": "[GPL-3.0](https://github.com/cargo-bins/cargo-binstall/blob/HEAD/crates/bin/LICENSE)",
"latest": {
"version": "1.10.19"
"version": "1.10.20"
},
"1.10.19": {
"1.10.20": {
"x86_64_linux_musl": {
"etag": "0x8DD2C8160F75960",
"checksum": "44f44538682b103312b37961edbd06428dcbf927a0afc3cc89062d45bc08d688"
"etag": "0x8DD320C6CB323A8",
"checksum": "8d3b5940fa5b4e30109919f6cba993447515a9564d2b70813b154c93aef14159"
},
"x86_64_macos": {
"etag": "0x8DD2C811A50D857",
"checksum": "a2ae7d9ea8a4c58d5c5d8405cc3eed80e3b3027dcce16fd2f36116cb2926080f"
"etag": "0x8DD320C6685F3F1",
"checksum": "23b7f3288bad590b90720805864d3e9f6603e6ab510af2459cf5fa319f4f22ec"
},
"x86_64_windows": {
"etag": "0x8DD2C821B327936",
"checksum": "f80e1f22b452a3069aec615ed03bc74a2a9e57e1c92d09868537dc0cd852da8f"
"etag": "0x8DD320D3381889A",
"checksum": "c7995d7b6265ad2c1b543113ad38d6dde152962980c70bf163fad6e9e15123ba"
},
"aarch64_linux_musl": {
"etag": "0x8DD2C811BD72089",
"checksum": "7e95454e15278eb746790e67bb3f3620e3f4ded13956e7887f6f9a8b1f21c1ab"
"etag": "0x8DD320C012BDEDE",
"checksum": "10114ab49f4c088910d76c50416e2cc67cefaf96ab3178c484e5fe383685e2bf"
},
"aarch64_macos": {
"etag": "0x8DD2C814B56C94F",
"checksum": "e6abcd57e2918f50f85117e80799ef525876b4e109a5126561ed69f89bb79ee5"
"etag": "0x8DD320C2AE5312E",
"checksum": "48a790152a0a022b9aad4448b2d29f2057c217049f388c84cdd6566d5c4b5c13"
},
"aarch64_windows": {
"etag": "0x8DD2C8225C8456F",
"checksum": "285891e236fc3e12dff687e15cf69805fc9edbc20eb8fb1e046065b59f711b46"
"etag": "0x8DD320D409F1C6F",
"checksum": "11aa8f3b395b042e67f0369937d1aa375b3ba3a7a7a1905baddef4dd84ca02ff"
}
}
}

View File

@@ -32,10 +32,36 @@
},
"license_markdown": "[Apache-2.0 OR MIT](https://github.com/est31/cargo-udeps/blob/HEAD/LICENSE)",
"latest": {
"version": "0.1.53"
"version": "0.1.54"
},
"0.1": {
"version": "0.1.53"
"version": "0.1.54"
},
"0.1.54": {
"x86_64_linux_musl": {
"etag": "0x8DD31143C857BA5",
"checksum": "866b51683487d8aa69a59e7b7728e3f6d302388eda40db8816943d14d30fbc42"
},
"x86_64_macos": {
"etag": "0x8DD31146F76A8A8",
"checksum": "9bf127b7f9bacc54eaf8f1a764d6458530c7df6bce782ec4b8cba034c6bfd36c"
},
"x86_64_windows": {
"etag": "0x8DD3114B71A7832",
"checksum": "c34dc47902d3b9dadf567808ecab19863ab0bd01c039c0cca5df938efd59eb79"
},
"aarch64_linux_musl": {
"etag": "0x8DD311439500EB5",
"checksum": "69a061b2f3111fefcc7bfe3d0cc927c54dcd2f5f6db0cfe15277bdb9bc17e925"
},
"aarch64_macos": {
"etag": "0x8DD311411580373",
"checksum": "36b225eaf938c4520578cfa77471bd05e9f4a09067ee4fee545ddf63e6dbfba4"
},
"aarch64_windows": {
"etag": "0x8DD3114D12BF7AC",
"checksum": "0257ad2d653751c94828ee27cec916f8297681954ea51907d10c7e2a4cdea155"
}
},
"0.1.53": {
"x86_64_linux_musl": {

View File

@@ -3,13 +3,51 @@
"template": null,
"license_markdown": "[MIT](https://github.com/editorconfig-checker/editorconfig-checker/blob/main/LICENSE)",
"latest": {
"version": "3.1.1"
"version": "3.1.2"
},
"3": {
"version": "3.1.1"
"version": "3.1.2"
},
"3.1": {
"version": "3.1.1"
"version": "3.1.2"
},
"3.1.2": {
"x86_64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-linux-amd64.tar.gz",
"etag": "0x8DD31C3802BB3A5",
"checksum": "3fd4fc81e5077f89faddb71ff05a5d6e2983b8c3953d1b1b6663c7245300e653",
"bin": "bin/ec-linux-amd64"
},
"x86_64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-darwin-amd64.tar.gz",
"etag": "0x8DD31C37FF6AE95",
"checksum": "f9077b2bbf93db1e7019cc35a567aa80937cd5680cf8453ed00f3eb47e9feea4",
"bin": "bin/ec-darwin-amd64"
},
"x86_64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-windows-amd64.zip",
"etag": "0x8DD31C380C87BA2",
"checksum": "58ced741383e4e8d68aeeda4c2a6c08deb52e45fbb3a5a976c52f161b62b8032",
"bin": "bin/ec-windows-amd64.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-linux-arm64.tar.gz",
"etag": "0x8DD31C38037B40E",
"checksum": "1333275ced71f1814db1ae677681a1b8b9d412d7046675594f7cdb1f8c7c47d1",
"bin": "bin/ec-linux-arm64"
},
"aarch64_macos": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-darwin-arm64.tar.gz",
"etag": "0x8DD31C37FF9B85E",
"checksum": "ca7ad4492a3235d853662dec88485073a01a782e121e308336832a14b95a765d",
"bin": "bin/ec-darwin-arm64"
},
"aarch64_windows": {
"url": "https://github.com/editorconfig-checker/editorconfig-checker/releases/download/v3.1.2/ec-windows-arm64.zip",
"etag": "0x8DD31C3814F3C50",
"checksum": "af97bc69a6f6283818aa32788d8d6d884aafb1a30b939a7e9930a812dd30c75e",
"bin": "bin/ec-windows-arm64.exe"
}
},
"3.1.1": {
"x86_64_linux_gnu": {

33
manifests/rclone.json generated
View File

@@ -28,10 +28,39 @@
},
"license_markdown": "[MIT](https://github.com/rclone/rclone/blob/master/COPYING)",
"latest": {
"version": "1.68.2"
"version": "1.69.0"
},
"1": {
"version": "1.68.2"
"version": "1.69.0"
},
"1.69": {
"version": "1.69.0"
},
"1.69.0": {
"x86_64_linux_musl": {
"etag": "0x8DD3324F9F9FD71",
"checksum": "813892bb54ebc5891664b85c9cfc0e05ee50d39e3d5bb1ddd6d53d0f93a64dc2"
},
"x86_64_macos": {
"etag": "0x8DD3325E8440A19",
"checksum": "88475be8666944d5161bd15605d483f1bb55d9a46220b9dcf317b26e01659009"
},
"x86_64_windows": {
"etag": "0x8DD3326252ADAAD",
"checksum": "73f55188dbd15056b9728cb646f4e9774534b148dec3eed9ccbbaa381b95ce78"
},
"aarch64_linux_musl": {
"etag": "0x8DD33251C72E345",
"checksum": "82e4c24ee0cdbdfb93356e66cf14875ae4063f9923d2678e7d686119e98d75fe"
},
"aarch64_macos": {
"etag": "0x8DD3325F16EC073",
"checksum": "d8d22aca8f4af4c24ea01668a452d02888bef45e3a01c663cbb7d78bd1e21db2"
},
"aarch64_windows": {
"etag": "0x8DD33262D4C7710",
"checksum": "83c3e46f1b4414848cf676f58aa3f14ee428ba22bd963ecb0b70dada717ebfdb"
}
},
"1.68": {
"version": "1.68.2"

View File

@@ -44,10 +44,32 @@
},
"license_markdown": "[MIT](https://github.com/rustwasm/wasm-bindgen/blob/main/LICENSE-MIT) OR [Apache-2.0](https://github.com/rustwasm/wasm-bindgen/blob/main/LICENSE-APACHE)",
"latest": {
"version": "0.2.99"
"version": "0.2.100"
},
"0.2": {
"version": "0.2.99"
"version": "0.2.100"
},
"0.2.100": {
"x86_64_linux_musl": {
"etag": "0x8DD335FEBC3B912",
"checksum": "63d6a38deb65bd7023c02bdf382ab66b0d2c0241c8582fd3413b5a808b8aeb5b"
},
"x86_64_macos": {
"etag": "0x8DD335FEBCF929E",
"checksum": "72289c54f63d2a2723aacfb38e7b22044d6aebc849ddee40172cda0e74be4107"
},
"x86_64_windows": {
"etag": "0x8DD335FEBB4D5B6",
"checksum": "54a3fb947464388a468ade86d65ffa334d6d2c74b7982723b34ecf6ec8c213d8"
},
"aarch64_linux_gnu": {
"etag": "0x8DD335FEBC31D7D",
"checksum": "52552984965fbd125efc6be052b3cb8872fb3c69559e4ec7775cbff64ed440cf"
},
"aarch64_macos": {
"etag": "0x8DD335FEBB9B239",
"checksum": "69f25cb910de7e19777b3f93347f5e62a64c8f81709b41ba7242d00a9543573c"
}
},
"0.2.99": {
"x86_64_linux_musl": {

View File

@@ -1,8 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Update manifests
#
@@ -15,6 +16,7 @@ if [[ $# -gt 0 ]]; then
fi
for manifest in tools/codegen/base/*.json; do
package=$(basename "${manifest%.*}")
package="${manifest##*/}"
package="${package%.*}"
cargo run --manifest-path tools/codegen/Cargo.toml --release -- "${package}" latest
done

View File

@@ -1,11 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Publish a new release.
#
@@ -26,7 +24,7 @@ retry() {
"$@"
}
bail() {
echo >&2 "error: $*"
printf >&2 'error: %s\n' "$*"
exit 1
}
@@ -41,6 +39,11 @@ fi
if [[ $# -gt 1 ]]; then
bail "invalid argument '$2'"
fi
if { sed --help 2>&1 || true; } | grep -Eq -e '-i extension'; then
in_place=(-i '')
else
in_place=(-i)
fi
# Make sure there is no uncommitted change.
git diff --exit-code
@@ -52,12 +55,15 @@ if gh release view "${tag}" &>/dev/null; then
fi
# Make sure that the release was created from an allowed branch.
if ! git branch | grep -q '\* main$'; then
if ! git branch | grep -Eq '\* main$'; then
bail "current branch is not 'main'"
fi
if ! git remote -v | grep -F origin | grep -Eq 'github\.com[:/]taiki-e/'; then
bail "cannot publish a new release from fork repository"
fi
release_date=$(date -u '+%Y-%m-%d')
tags=$(git --no-pager tag | (grep -E "^${tag_prefix}[0-9]+" || true))
tags=$(git --no-pager tag | { grep -E "^${tag_prefix}[0-9]+" || true; })
if [[ -n "${tags}" ]]; then
# Make sure the same release does not exist in changelog.
if grep -Eq "^## \\[${version//./\\.}\\]" "${changelog}"; then
@@ -67,11 +73,12 @@ if [[ -n "${tags}" ]]; then
bail "link to ${version} already exist in ${changelog}"
fi
# Update changelog.
remote_url=$(grep -E '^\[Unreleased\]: https://' "${changelog}" | sed 's/^\[Unreleased\]: //; s/\.\.\.HEAD$//')
remote_url=$(grep -E '^\[Unreleased\]: https://' "${changelog}" | sed -E 's/^\[Unreleased\]: //; s/\.\.\.HEAD$//')
prev_tag="${remote_url#*/compare/}"
remote_url="${remote_url%/compare/*}"
sed -i "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n## [${version}] - ${release_date}/" "${changelog}"
sed -i "s#^\[Unreleased\]: https://.*#[Unreleased]: ${remote_url}/compare/${tag}...HEAD\\n[${version}]: ${remote_url}/compare/${prev_tag}...${tag}#" "${changelog}"
sed -E "${in_place[@]}" \
-e "s/^## \\[Unreleased\\]/## [Unreleased]\\n\\n## [${version}] - ${release_date}/" \
-e "s#^\[Unreleased\]: https://.*#[Unreleased]: ${remote_url}/compare/${tag}...HEAD\\n[${version}]: ${remote_url}/compare/${prev_tag}...${tag}#" "${changelog}"
if ! grep -Eq "^## \\[${version//./\\.}\\] - ${release_date}$" "${changelog}"; then
bail "failed to update ${changelog}"
fi
@@ -94,18 +101,9 @@ changes=$(parse-changelog "${changelog}" "${version}")
if [[ -z "${changes}" ]]; then
bail "changelog for ${version} has no body"
fi
echo "============== CHANGELOG =============="
echo "${changes}"
echo "======================================="
tools=()
for tool in tools/codegen/base/*.json; do
tools+=("$(basename "${tool%.*}")")
done
# Alias
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
printf '============== CHANGELOG ==============\n'
printf '%s\n' "${changes}"
printf '=======================================\n'
if [[ -n "${tags}" ]]; then
# Create a release commit.
@@ -134,10 +132,20 @@ retry git push origin --tags
git checkout main
git branch -d "${major_version_tag}"
tools=()
for tool in tools/codegen/base/*.json; do
tool="${tool##*/}"
tools+=("${tool%.*}")
done
# Alias
tools+=(nextest)
# Not manifest-based
tools+=(valgrind)
for tool in "${tools[@]}"; do
git checkout -b "${tool}"
sed -i -e "s/required: true/required: false/g" action.yml
sed -i -e "s/# default: #publish:tool/default: ${tool}/g" action.yml
sed -E "${in_place[@]}" "s/required: true/required: false/g" action.yml
sed -E "${in_place[@]}" "s/# default: #publish:tool/default: ${tool}/g" action.yml
git add action.yml
git commit -m "${tool}"
retry git push origin -f refs/heads/"${tool}"

View File

@@ -155,6 +155,7 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
binaries=''
metadata=$(cargo metadata --format-version=1 --no-deps)
has_public_crate=''
has_root_crate=''
venv_install_yq
for id in $(jq <<<"${metadata}" '.workspace_members[]'); do
pkg=$(jq <<<"${metadata}" ".packages[] | select(.id == ${id})")
@@ -178,6 +179,7 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
publish=$(jq <<<"${root_pkg}" -r '.publish')
# Publishing is unrestricted if null, and forbidden if an empty array.
if [[ "${publish}" != "[]" ]]; then
has_root_crate=1
exclude=$(venv tomlq -r '.package.exclude[]' Cargo.toml)
if ! grep <<<"${exclude}" -Eq '^/\.\*$'; then
error "top-level Cargo.toml of non-virtual workspace should have 'exclude' field with \"/.*\""
@@ -200,6 +202,13 @@ if [[ -n "$(git ls-files '*.rs')" ]]; then
# TODO: fully respect exclude field in Cargo.toml.
case "${p}" in
.* | tools/* | target-specs/*) continue ;;
*/*) ;;
*)
# If there is no crate at root, executables at the repository root directory if always okay.
if [[ -z "${has_root_crate}" ]]; then
continue
fi
;;
esac
if [[ -x "${p}" ]]; then
executables+="${p}"$'\n'

View File

@@ -1,8 +1,9 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0 OR MIT
set -eEuo pipefail
set -CeEuo pipefail
IFS=$'\n\t'
cd "$(dirname "$0")"/..
trap -- 's=$?; printf >&2 "%s\n" "${0##*/}:${LINENO}: \`${BASH_COMMAND}\` exit with ${s}"; exit ${s}' ERR
cd -- "$(dirname -- "$0")"/..
# Update markdown
#